/*******************************************************************************
* File Name: Audio_In.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Audio_In_H) /* Pins Audio_In_H */
#define CY_PINS_Audio_In_H

#include "cytypes.h"
#include "cyfitter.h"
#include "Audio_In_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Audio_In_Write(uint8 value) ;
void    Audio_In_SetDriveMode(uint8 mode) ;
uint8   Audio_In_ReadDataReg(void) ;
uint8   Audio_In_Read(void) ;
uint8   Audio_In_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Audio_In_DRIVE_MODE_BITS        (3)
#define Audio_In_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - Audio_In_DRIVE_MODE_BITS))
#define Audio_In_DRIVE_MODE_SHIFT       (0x00u)
#define Audio_In_DRIVE_MODE_MASK        (0x07u << Audio_In_DRIVE_MODE_SHIFT)

#define Audio_In_DM_ALG_HIZ         (0x00u << Audio_In_DRIVE_MODE_SHIFT)
#define Audio_In_DM_DIG_HIZ         (0x01u << Audio_In_DRIVE_MODE_SHIFT)
#define Audio_In_DM_RES_UP          (0x02u << Audio_In_DRIVE_MODE_SHIFT)
#define Audio_In_DM_RES_DWN         (0x03u << Audio_In_DRIVE_MODE_SHIFT)
#define Audio_In_DM_OD_LO           (0x04u << Audio_In_DRIVE_MODE_SHIFT)
#define Audio_In_DM_OD_HI           (0x05u << Audio_In_DRIVE_MODE_SHIFT)
#define Audio_In_DM_STRONG          (0x06u << Audio_In_DRIVE_MODE_SHIFT)
#define Audio_In_DM_RES_UPDWN       (0x07u << Audio_In_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define Audio_In_MASK               Audio_In__MASK
#define Audio_In_SHIFT              Audio_In__SHIFT
#define Audio_In_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Audio_In_PS                     (* (reg32 *) Audio_In__PS)
/* Port Configuration */
#define Audio_In_PC                     (* (reg32 *) Audio_In__PC)
/* Data Register */
#define Audio_In_DR                     (* (reg32 *) Audio_In__DR)
/* Input Buffer Disable Override */
#define Audio_In_INP_DIS                (* (reg32 *) Audio_In__PC2)


#if defined(Audio_In__INTSTAT)  /* Interrupt Registers */

    #define Audio_In_INTSTAT                (* (reg32 *) Audio_In__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins Audio_In_H */


/* [] END OF FILE */
