/*******************************************************************************
* File Name: P63.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_P63_H) /* Pins P63_H */
#define CY_PINS_P63_H

#include "cytypes.h"
#include "cyfitter.h"
#include "P63_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    P63_Write(uint8 value) ;
void    P63_SetDriveMode(uint8 mode) ;
uint8   P63_ReadDataReg(void) ;
uint8   P63_Read(void) ;
uint8   P63_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define P63_DRIVE_MODE_BITS        (3)
#define P63_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - P63_DRIVE_MODE_BITS))
#define P63_DRIVE_MODE_SHIFT       (0x00u)
#define P63_DRIVE_MODE_MASK        (0x07u << P63_DRIVE_MODE_SHIFT)

#define P63_DM_ALG_HIZ         (0x00u << P63_DRIVE_MODE_SHIFT)
#define P63_DM_DIG_HIZ         (0x01u << P63_DRIVE_MODE_SHIFT)
#define P63_DM_RES_UP          (0x02u << P63_DRIVE_MODE_SHIFT)
#define P63_DM_RES_DWN         (0x03u << P63_DRIVE_MODE_SHIFT)
#define P63_DM_OD_LO           (0x04u << P63_DRIVE_MODE_SHIFT)
#define P63_DM_OD_HI           (0x05u << P63_DRIVE_MODE_SHIFT)
#define P63_DM_STRONG          (0x06u << P63_DRIVE_MODE_SHIFT)
#define P63_DM_RES_UPDWN       (0x07u << P63_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define P63_MASK               P63__MASK
#define P63_SHIFT              P63__SHIFT
#define P63_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define P63_PS                     (* (reg32 *) P63__PS)
/* Port Configuration */
#define P63_PC                     (* (reg32 *) P63__PC)
/* Data Register */
#define P63_DR                     (* (reg32 *) P63__DR)
/* Input Buffer Disable Override */
#define P63_INP_DIS                (* (reg32 *) P63__PC2)


#if defined(P63__INTSTAT)  /* Interrupt Registers */

    #define P63_INTSTAT                (* (reg32 *) P63__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins P63_H */


/* [] END OF FILE */
